org.eclipse.viatra.addon.validation.runtime

## Class ConstraintExtensionRegistry

- java.lang.Object
- - org.eclipse.viatra.addon.validation.runtime.ConstraintExtensionRegistry

-     public class ConstraintExtensionRegistry
      extends java.lang.Object

  The constraint extension registry is singleton utility for accessing the constraint specifications registered through extensions (see VIATRA @Constraint annotation)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Set<IConstraintSpecification>` | `getConstraintSpecificationsForEditorId(java.lang.String editorId)` Returns the registered constraint specifications for a particular editor Id.
    `protected static IMultiLookup<java.lang.String,IProvider<IConstraintSpecification>>` | `getEditorConstraintSpecificationMap()` Returns the map of all the registered constraint specifications for the particular editor Ids.
    `static boolean` | `isConstraintSpecificationsRegisteredForEditorId(java.lang.String editorId)` Returns whether there are constraint specifications registered for an editor Id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEditorConstraintSpecificationMap

          protected static IMultiLookup<java.lang.String,IProvider<IConstraintSpecification>> getEditorConstraintSpecificationMap()

      Returns the map of all the registered constraint specifications for the particular editor Ids.
      Returns:
        A Multimap containing all the registered constraint specifications for each editor Id.

    - #### isConstraintSpecificationsRegisteredForEditorId

          public static boolean isConstraintSpecificationsRegisteredForEditorId(java.lang.String editorId)

      Returns whether there are constraint specifications registered for an editor Id.
      Parameters:
        `editorId` - The editor Id which should be checked
      Returns:
        `true` if there are registered constraint specifications

    - #### getConstraintSpecificationsForEditorId

          public static java.util.Set<IConstraintSpecification> getConstraintSpecificationsForEditorId(java.lang.String editorId)

      Returns the registered constraint specifications for a particular editor Id.
      Parameters:
        `editorId` - The editor Id for which the constraint specifications should be retrieved.
      Returns:
        The Set of constraint specifications registered.